ServerEvents.recipes(event => {







    //MCW
        event.shaped(
            Item.of('mcw_tfc_aio:fences/acacia_fences/acacia_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/acacia'
            }
        )

        event.shaped(
            Item.of('mcw_tfc_aio:fences/ash_fences/ash_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/ash'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/aspen_fences/aspen_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/aspen'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/birch_fences/birch_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/birch'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/blackwood_fences/blackwood_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/blackwood'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/chestnut_fences/chestnut_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/chestnut'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/douglas_fir_fences/douglas_fir_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/douglas_fir'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/hickory_fences/hickory_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/hickory'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/kapok_fences/kapok_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/kapok'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/mangrove_fences/mangrove_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/mangrove'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/maple_fences/maple_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/maple'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/oak_fences/oak_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/oak'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/palm_fences/palm_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/palm'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/pine_fences/pine_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/pine'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/rosewood_fences/rosewood_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/rosewood'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/sequoia_fences/sequoia_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/sequoia'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/spruce_fences/spruce_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/spruce'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/sycamore_fences/sycamore_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/sycamore'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/white_cedar_fences/white_cedar_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/white_cedar'
            }
        )
        
        event.shaped(
            Item.of('mcw_tfc_aio:fences/willow_fences/willow_wired_fence', 1), 
            [
            'ABA',
            'ACA'
            ],
            {
            A: 'minecraft:stick',
            B: 'createaddition:iron_wire',
            C: 'tfc:wood/log/willow'
            }
        )

})